using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace skyscraper8.SimpleServiceDiscoveryProtocol
{
	public interface ISsdpCache
	{
		bool SsdpDeviceKnown(SsdpDevice ssdpDevice);
		void SsdpStoreMetadata(SsdpDevice ssdpDevice, byte[] ssdpMetadataByteArray);
		byte[] SsdpGetMetadata(SsdpDevice ssdpDevice);
	}
}
